<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>com.lutao</groupId>
        <artifactId>cloud-common</artifactId>
        <version>1.0.0</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <artifactId>cloud-mqtt-spring-boot-starter</artifactId>
    <name>${project.artifactId}</name>

    <properties>

    </properties>

    <dependencies>
        <dependency>
            <groupId>com.lutao</groupId>
            <artifactId>cloud-common-mqtt</artifactId>
            <version>1.0.0</version>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-autoconfigure</artifactId>
            <scope>provided</scope>
        </dependency>
        <!-- 对接 micrometer 方便指标收集 begin -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-actuator-autoconfigure</artifactId>
            <scope>provided</scope>
        </dependency>

        <!-- 对接 micrometer 方便指标收集 end -->
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <scope>provided</scope>
        </dependency>
        <!-- mica-auto 自动生成 spring.factories、spring-devtools.properties 配置  -->
        <dependency>
            <groupId>net.dreamlu</groupId>
            <artifactId>mica-auto</artifactId>
            <version>2.1.3</version>
            <scope>provided</scope>
        </dependency>

        <dependency>
            <groupId>com.lutao</groupId>
            <artifactId>cloud-mqtt-codec</artifactId>
            <version>1.0.0</version>
        </dependency>
    </dependencies>

</project>
